'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var InterfaceImplementationMissingError = require('./errors/InterfaceImplementationMissingError.cjs');

class NullRpc {
  getEndpoint() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getCluster() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getAccount() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getAccounts() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getProgramAccounts() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getBalance() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getRent() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getLatestBlockhash() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getTransaction() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  accountExists() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  airdrop() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  call() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  sendTransaction() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  confirmTransaction() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
}

exports.NullRpc = NullRpc;
//# sourceMappingURL=RpcInterface.cjs.map
