'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var InterfaceImplementationMissingError = require('./errors/InterfaceImplementationMissingError.cjs');

class NullUploader {
  upload() {
    throw new InterfaceImplementationMissingError.InterfaceImplementationMissingError('UploaderInterface', 'uploader');
  }
}

exports.NullUploader = NullUploader;
//# sourceMappingURL=UploaderInterface.cjs.map
