const some = value => ({
  __option: 'Some',
  value
});
const none = () => ({
  __option: 'None'
});
const isSome = option => option.__option === 'Some';
const isNone = option => option.__option === 'None';
const unwrapSome = option => isSome(option) ? option.value : null;
const unwrapSomeOrElse = (option, fallback) => isSome(option) ? option.value : fallback();

export { isNone, isSome, none, some, unwrapSome, unwrapSomeOrElse };
//# sourceMappingURL=Option.mjs.map
