import { defineProperty as _defineProperty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { SdkError } from './SdkError.mjs';

/** @group Errors */
class InvalidBaseStringError extends SdkError {
  constructor(value, base) {
    const message = `Expected a string of base ${base}, got [${value}].`;
    super(message);
    _defineProperty(this, "name", 'InvalidBaseStringError');
  }
}

export { InvalidBaseStringError };
//# sourceMappingURL=InvalidBaseStringError.mjs.map
