import { defineProperty as _defineProperty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { MetaplexError } from './MetaplexError.mjs';

/** @group Errors */
class SdkError extends MetaplexError {
  constructor(message, cause) {
    super(message, 'sdk', undefined, cause);
    _defineProperty(this, "name", 'SdkError');
  }
}

export { SdkError };
//# sourceMappingURL=SdkError.mjs.map
