'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var SdkError = require('./SdkError.cjs');

/** @group Errors */
class InvalidBaseStringError extends SdkError.SdkError {
  constructor(value, base) {
    const message = `Expected a string of base ${base}, got [${value}].`;
    super(message);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'InvalidBaseStringError');
  }
}

exports.InvalidBaseStringError = InvalidBaseStringError;
//# sourceMappingURL=InvalidBaseStringError.cjs.map
