import { InterfaceImplementationMissingError } from './errors/InterfaceImplementationMissingError.mjs';

class NullDownloader {
  download() {
    throw new InterfaceImplementationMissingError('DownloaderInterface', 'downloader');
  }
}

export { NullDownloader };
//# sourceMappingURL=DownloaderInterface.mjs.map
