import { InterfaceImplementationMissingError } from './errors/InterfaceImplementationMissingError.mjs';

class NullUploader {
  upload() {
    throw new InterfaceImplementationMissingError('UploaderInterface', 'uploader');
  }
}

export { NullUploader };
//# sourceMappingURL=UploaderInterface.mjs.map
